<?php

/**
 * FBC Editor
 * Your online php editor.
 * 
 * @version 0.3
 * @package FBCEditor
 * @author Polasek Frantisek (PolasekF@gmail.com)
 * @copyright 2013 Polasek Frantisek
 */

session_start();
require_once('config.php');
if(!isset($_SESSION["editor_logged"]) OR ($_SESSION["editor_logged"] == FALSE))
    header("Location: login.php");
    
if(isset($_GET["action"]))
{
    switch($_GET["action"])
    {
        case 'logout':
            $_SESSION["editor_logged"] = FALSE;
            $_SESSION["editor_user_name"] = "";
            header("Location: login.php");
        break;
        
        default:            
    }
}    
    
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>FBC Editor</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Polasek Frantisek (polasekf@gmail.com)">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">

    <link href="./data/css/bootstrap.min.css" rel="stylesheet">
    <link href="./data/css/smoothness/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 60px;
        padding-bottom: 40px;
      }
      .breadcrumb li a, .breadcrumb li a:hover { outline: 0; }
      .no-input { border: 0; }
      .no-close .ui-dialog-titlebar-close {
        display: none;
        }
      .folderSelected, .fileSelected {
        background-color: #ddd;
        }
    </style>
    <link rel="stylesheet" href="./codemirror/codemirror.css">
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="./data/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="shortcut icon" href="favicon.ico">
    
    <script src="./data/js/md5.js"></script>    
    <script src="./codemirror/codemirror.js"></script>   
    <script src="./codemirror/addon/matchbrackets.js"></script>    
    <script src="./codemirror/addon/formatting.js"></script>
    <script src="./codemirror/addon/search.js"></script>
    <script src="./codemirror/addon/searchcursor.js"></script>
    <script src="./codemirror/addon/dialog.js"></script>   
    <script src="./codemirror/addon/active-line.js"></script> 
           
    <script src="./codemirror/mode/clike.js"></script>
    <script src="./codemirror/mode/css.js"></script>
    <script src="./codemirror/mode/htmlmixed.js"></script>
    <script src="./codemirror/mode/javascript.js"></script>
    <script src="./codemirror/mode/php.js"></script>
    <script src="./codemirror/mode/smarty.js"></script>
    <script src="./codemirror/mode/sql.js"></script>
    <script src="./codemirror/mode/xml.js"></script>    
    <script src="./codemirror/js/codemirror-ui.js" type="text/javascript"></script>
    
    <link rel="stylesheet" href="./codemirror/css/codemirror-ui.css" type="text/css" media="screen" />
    
    <script type="text/javascript">
        function toggleFileBrowser()
        {
            var browserArea = document.getElementById("main_browser");
            var browserHiddenArea = document.getElementById("main_browser_hidden");
            var codeArea = document.getElementById("main_code");
            if(browserArea.style.display == "none")
            {
                browserArea.style.display = "block";
                browserHiddenArea.style.display = "none";
                codeArea.setAttribute("class", "span10");
                codeArea.setAttribute("className", "span10");    
            } else
            {
                browserArea.style.display = "none";
                browserHiddenArea.style.display = "block";
                codeArea.setAttribute("class", "span11");
                codeArea.setAttribute("className", "span11");  
            }
        }
        
        
        var autosavingInterval = <?php echo $configuration['autosavingInterval']; ?>;
        var myPath = '<?php echo str_replace('/editor/index.php', '', 'http://'.$_SERVER['HTTP_HOST']. $_SERVER['PHP_SELF']); ?>';
       	var myPathE = '<?php echo str_replace('/index.php', '', 'http://'.$_SERVER['HTTP_HOST']. $_SERVER['PHP_SELF']); ?>';
        
    </script>
       
    <link href="jqueryFileTree/jqueryFileTree.css" rel="stylesheet" type="text/css" media="screen" />
 
  </head>

  <body>

    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="brand" href="#">FBC Editor</a>
          <div class="nav-collapse collapse">
            <ul class="nav nav-pills">
              <li class="active"><a href="#editor" data-toggle="tab"><span class="icon-edit icon-white"></span> Editor</a></li>
              <li><a href="#database" data-toggle="tab"><span class="icon-list-alt icon-white"></span> Database Admin</a></li>
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="icon-book icon-white"></span> Open Reference <b class="caret"></b></a>
                <ul class="dropdown-menu">
                  <li><a target="_blank" href="http://www.w3schools.com/tags/default.asp"><span class="icon-share"></span> HTML5</a></li>
                  <li><a target="_blank" href="http://www.w3schools.com/cssref/default.asp"><span class="icon-share"></span> CSS</a></li>
                  <li><a target="_blank" href="http://www.w3schools.com/php/default.asp"><span class="icon-share"></span> PHP</a></li>
                  <li><a target="_blank" href="http://www.php.net/manual/en/"><span class="icon-share"></span> PHP (on PHP.net)</a></li>
                  <li><a target="_blank" href="http://dev.mysql.com/doc/refman/5.6/en/index.html"><span class="icon-share"></span> MySQL 5.6</a></li>
                  <li><a target="_blank" href="http://www.w3schools.com/js/default.asp"><span class="icon-share"></span> JavaScript</a></li>
                  <li><a target="_blank" href="http://api.jquery.com/"><span class="icon-share"></span> jQuery (API)</a></li>
                  <li><a target="_blank" href="http://jqueryui.com/"><span class="icon-share"></span> jQuery UI</a></li>
                  <li><a target="_blank" href="http://twitter.github.io/bootstrap/index.html"><span class="icon-share"></span> Bootstrap</a></li>
                </ul>
              </li>
              <li><a href="doc/" target="_blank"><span class="icon-book icon-white"></span> Documentation</a></li>
            </ul>

            <p class="navbar-text pull-right">Logged in as <span style="color: white"><?php echo $_SESSION["editor_user_name"]; ?></span> 
                (<a href="index.php?action=logout">logout</a>)</p>
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>

    

    <div class="tab-content">  
        <div class="tab-pane active" id="editor">
                
                
    <div class="container-fluid">
    <div class="row-fluid">
 

    
    <div class="span2" style="cursor: pointer;" id="main_browser">

        <ul class="nav nav-list">
            <li onclick="toggleFileBrowser();" class="nav-header"><a>HIDE FILE BROWSER &nbsp; &nbsp; &nbsp; <span class="icon-arrow-left"></span></a></li>
            <li class="divider"></li>            
            <li class="nav-header">FILES BROWSER</li>
        </ul>
        
        <p style="padding-left: 15px; cursor: default">
        	<a onclick="fileOperation('openFile');" title="Open file" id="brow-open" href="#"><img src="./codemirror/images/silk/page_go.png"/></a>&nbsp;
            <a onclick="fileOperation('newFile');" title="New file" id="brow-newfile" href="#"><img src="./codemirror/images/silk/page_add.png"/></a>  
            <a onclick="fileOperation('newDir');" title="New folder" id="brow-newdir" href="#"><img src="./codemirror/images/silk/folder_add.png"/></a>&nbsp;            
            <a onclick="fileOperation('delete');" title="Delete" id="brow-delete" href="#"><img src="./codemirror/images/silk/delete.png"/></a> 
            <a onclick="fileOperation('rename');" title="Rename" id="brow-rename" href="#"><img src="./codemirror/images/silk/textfield_rename.png"/></a>&nbsp;
            <a onclick="fileOperation('refresh');" title="Reload tree" id="brow-refresh" href="#"><img src="./codemirror/images/silk/arrow_refresh_small.png"/></a>&nbsp; 
            <a onclick="fileOperation('upload');" title="Upload" id="brow-upload" href="#"><img src="./codemirror/images/silk/drive_add.png"/></a>
			<a onclick="fileOperation('download');" title="Download" id="brow-download" href="#"><img src="./codemirror/images/silk/drive_disk.png"/></a>
    
        </p>
        
        <div id="fileTree" class="demo"></div>
    </div>
    
    <div style="display: none; position: absolute; cursor: pointer; top: 68px; left: 5px; z-index: 1000;" id="main_browser_hidden">
        <a onclick="toggleFileBrowser();">Show <span class="icon-arrow-right"></span></a>
    </div>
    
    <div class="span10" id="main_code">

    <ul id="fileList" class="breadcrumb tabbable">
    </ul>  
    
    <div id="fileCode" class="tab-content">
    </div>

    </div>
    </div>
    </div>
                 
        </div>  
        <div class="tab-pane" id="database">  
            <iframe style="border:0;width:100%;min-height:600px;" src="./adminer/adminer.php?editor"></iframe>
        </div>  
    </div>  

      <hr>

    <div class="container"> 
     
      <footer>
        <p>&copy; fandaa (polasekf@gmail.com)</p>
            <form class="form-inline">
    <label class="checkbox">
    <input type="checkbox" id="autosaveInput" onchange="checkAutosave(this)"> Autosave actually opened file (every <span id="autosavingInterval"></span> seconds)
    </label>
    <label class="checkbox">
    <input type="checkbox" id="rememberOpenedFiles" onchange="rememberOpened(this)"> Remember opened files
    </label>
    </form>
      </footer>
       
    </div>

<div id="dialog-upload" style="display: none;" title="Upload file"> 
<div id="theForm">
<div id="output"></div><br />
<form action="service.php?operation=upload" id="FileUploader" enctype="multipart/form-data" method="post" >
    <input type="hidden" name="mName" id="mName" />

    <label>Choose a File</label>
    <input type="file" name="mFile" id="mFile" /> <br /><br />
    <button type="submit" class="red-button" id="uploadButton">Upload</button>
    <div class="spacer"></div>
</form>
</div>

</div>

    <script src="./data/js/jquery-1.9.1.min.js"></script>
    <script src="./data/js/jquery.form.min.js"></script>
    <script src="./data/js/jquery-ui-1.10.1.min.js"></script>
    <script src="./data/js/bootstrap.min.js"></script>    
    <script src="jqueryFileTree/jqueryFileTree.js" type="text/javascript"></script>
    <script src="./data/js/bottom.js"></script>
    
  </body>
</html>